Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.tx
Class XidImpl

    java.lang.Object
      org.jboss.messaging.core.tx.XidImpl

All Implemented Interfaces:
  java.io.Serializable, javax.transaction.xa.Xid

public class XidImpl
extends java.lang.Object
implements javax.transaction.xa.Xid, java.io.Serializable

Xid implementation

Version:
  $Revision 1.1 $
Author:
  Tim Fox
See Also:
  Serialized Form

Field Summary
`protected byte[]` | `branchQualifier`
`protected int` | `formatId`
`protected byte[]` | `globalTransactionId`
`protected int` | `hash`

Fields inherited from interface javax.transaction.xa.Xid
`MAXBQUALSIZE, MAXGTRIDSIZE`

Constructor Summary
`XidImpl(byte[] branchQualifier, int formatId, byte[] globalTransactionId)`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`byte[]` | `getBranchQualifier()`
`int` | `getFormatId()`
`byte[]` | `getGlobalTransactionId()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### branchQualifier

    protected byte[] branchQualifier

### formatId

    protected int formatId

### globalTransactionId

    protected byte[] globalTransactionId

### hash

    protected int hash

Constructor Detail

### XidImpl

    public XidImpl(byte[] branchQualifier,
                   int formatId,
                   byte[] globalTransactionId)

Method Detail

### getBranchQualifier

    public byte[] getBranchQualifier()

  Specified by:
    `getBranchQualifier` in interface `javax.transaction.xa.Xid`

### getFormatId

    public int getFormatId()

  Specified by:
    `getFormatId` in interface `javax.transaction.xa.Xid`

### getGlobalTransactionId

    public byte[] getGlobalTransactionId()

  Specified by:
    `getGlobalTransactionId` in interface `javax.transaction.xa.Xid`

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object other)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.